//Segédfüggvények
function $(id) {
	return document.getElementById(id);
};

//Adatszerkezetek
filmek = [
	{
		cim: 'Passió',
		ev: 2004, 
		hossz: 127, 
		rendezo: 'Mel Gibson'
	},
	{
		cim: 'Szerelempróba (Tűzálló házasság)',
		ev: 2008, 
		hossz: 122, 
		rendezo: 'Alex Kendrick'
	},
	{
		cim: 'Bátorság férfiai',
		ev: 2011, 
		hossz: 129, 
		rendezo: 'Alex Kendrick'
	},
	{
		cim: 'Pio atya - A csodák embere',
		ev: 2000, 
		hossz: 200, 
		rendezo: 'Carlo Carlei'
	}
];

//Feldolgozó függvények
function kivalogatas(filmek, szuro) {
	var szurt = [];
	for (var i = 0; i < filmek.length; i++) {
		if (filmek[i].cim.indexOf(szuro) > -1) {
			szurt.push(filmek[i]);
		}
	};
	return szurt;
}
function kivalaszt(filmek, cim) {
	var film;
	var i = 0;
	while (filmek[i].cim !== cim) {
		i++;
	}
	return filmek[i];
}

//Kiíró függvények
tombbolLista = function (filmek) {
	var s = '';
	for (var i = 0; i < filmek.length; i++) {
		s += '<li>' + filmek[i].cim + '</li>';
	};
	return s;
}
filmbolHTML = function (film) {
	return '<p>Cím: ' + film.cim + '</p>' +
		'<p>Megjelenés éve:' + film.ev + '</p>' +
		'<p>Hossza: ' + film.hossz + '</p>' +
		'<p>Rendező: ' + film.rendezo + '</p>';
}

//Eseménykezelő függvények
function szur() {
	//Beolvasás
	var szuro = this.value;
	//Feldolgozás
	var szurtFilmek = kivalogatas(filmek, szuro);
	//Kiírás
	$('filmlista').innerHTML = tombbolLista(szurtFilmek);
	torolFilm();
}
function megjelenit(e) {
	if (e.target.tagName === 'LI') {
		//Beolvasás
		var li = e.target;
		var cim = li.innerHTML;
		//Feldolgozás
		var film = kivalaszt(filmek, cim);
		//Kiírás
		$('film').innerHTML = filmbolHTML(film);
	}
}
torolFilm = function () {
	$('film').innerHTML = '';
}

//Eseménykezelők regisztrálása
function init() {
	$('szuro').addEventListener('keyup', szur, false);
	$('filmlista').addEventListener('mouseover', megjelenit, false);
	$('filmlista').addEventListener('mouseout', torolFilm, false);
}
window.addEventListener('load', init, false);
